package cn.com.countrygarden.bi.main.service.common;

import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.common.Comm;
import cn.com.countrygarden.bi.main.model.common.CommCount;
import cn.com.countrygarden.bi.main.service.marketing.model.ContractYearSummaryReport;
import cn.com.countrygarden.bi.main.service.marketing.model.StatisticsBasic;
import cn.com.countrygarden.bi.main.service.project.impl.vo.IndicatorLight;

import java.util.Map;

/**
 * Created by chenweijiang on 2017/9/20.
 */
public interface CommService extends Service<Comm> {
    PageData search(String userCode, String searchKey,
                    String organCode, String takeOverOrgganCode,
                    boolean isCharge, String proposalBefore,
                    String proposalAfter, String contractBefore,
                    String contractAfter, boolean isOwner, String status,Integer generalType,
                    int page, int size);

    CommCount count(String userCode,Integer generalType);
    PageData searchByOne(Comm comm,int page, int size ,Boolean isManage);
    void updateByOne(Comm comm);
    Map<String,Object> findOrganMapCache();

    Map<String,Object> findOrganNameMapCache();

    StatisticsBasic countStatisticsBasic();
   
	PageData searchByOneList(Comm comm,int page, int size,Boolean isManage);
    ContractYearSummaryReport contractYearSummaryReport();
    IndicatorLight findLight();
    void savaLight(IndicatorLight li);
    void warningLight();
    Integer followUp( Integer id,Integer dynamicId,String remark,String userCode);
    void creatOneProject(Comm c,String userCode);
    void boostJudge(Comm comm);
    Boolean repetition(Comm c);
    
}
